Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/wbar: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Thu, 05 Nov 2015 12:50:33 +0000 (UTC)

A simple and customizable quick-launch desktop dock
https://code.google.com/p/wbar/
---
 testing/wbar/APKBUILD        | 52 +++++++++++++++++++++++++++
 testing/wbar/Functions.patch | 83 ++++++++++++++++++++++++++++++++++++++++++++
 testing/wbar/Main.patch      | 11 ++++++
 3 files changed, 146 insertions(+)
 create mode 100644 testing/wbar/APKBUILD
 create mode 100644 testing/wbar/Functions.patch
 create mode 100644 testing/wbar/Main.patch
diff --git a/testing/wbar/APKBUILD b/testing/wbar/APKBUILD
new file mode 100644
index 0000000..51614fc
--- /dev/null
+++ b/testing/wbar/APKBUILD
_at_@ -0,0 +1,52 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_st.ilet.to>
+# Maintainer: ScrumpyJack <scrumpyjack_at_st.ilet.to>
+pkgname=wbar
+pkgver=2.3.4
+pkgrel=0
+pkgdesc="A simple and customizable quick-launch desktop dock"
+url="https://code.google.com/p/wbar/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="libglade-dev intltool imlib2-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://wbar.googlecode.com/files/$pkgname-$pkgver.tgz
+         Functions.patch
+         Main.patch"
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+      ./configure \
+         --prefix=/usr \
+         --exec_prefix=/usr \
+         --sysconfdir=/etc
+      make || return 1
+     }
+
+package() {
+	cd "$_builddir"
+        make DESTDIR=${pkgdir} install
+}
+
+md5sums="c1ac6b74138937a280904d1bac88115d  wbar-2.3.4.tgz
+6b83b3d43177eca769202bf5cb817d2a  Functions.patch
+7f7f93082ce1922da2e776dec9d74d35  Main.patch"
+sha256sums="46a69849e4436529aefb5cfb2c94b520d05a53c237e7773b90207f67f97a93e3  wbar-2.3.4.tgz
+64f176793effeeb89b8ff7a0269e7f87c1ce56dcbbf6f24e991d9e8bccbe7ace  Functions.patch
+7527872c3eae4cf6dc88795fb8df50495d8857258bc4203c24769372d2b695b6  Main.patch"
+sha512sums="07f3484bd071761d57ef1172c56b30980eef9ce2ee65d1fc21ea20c631a1da1d88c1b8a9e1a1fca0e5f18e7bf1c5697c349a543d72966ce71ff53d7e921147b3  wbar-2.3.4.tgz
+9fb2d492d34d4a19332b8a2d5de1658a6c80a63da05a967bdb045fbd0e765849509ec78a1eb1becc7044c95f92d71d37525357789c17a320fec8adf29fa93432  Functions.patch
+a89c5190a479ba78d8b328258d4629ba90e31adc336a1a783114150dba30f436243e0e3d5510bac859fed52ba2641436b3ecf68b47751c9c936dbb18d027ea6c  Main.patch"
diff --git a/testing/wbar/Functions.patch b/testing/wbar/Functions.patch
new file mode 100644
index 0000000..e347767
--- /dev/null
+++ b/testing/wbar/Functions.patch
_at_@ -0,0 +1,83 @@
+--- wbar-2.3.4/src/config/Functions.cc	2012-09-19 02:54:53.000000000 +0000
++++ ../../Functions.cc	2015-11-03 16:44:21.570363286 +0000
+_at_@ -120,15 +120,15 @@
+     GtkCellRenderer *renderer;
+
+     renderer = gtk_cell_renderer_pixbuf_new ();
+-    column = gtk_tree_view_column_new_with_attributes (_("Icon"), renderer, "pixbuf", TREE_COLUMN_ICON, NULL);
++    column = gtk_tree_view_column_new_with_attributes (_("Icon"), renderer, "pixbuf", TREE_COLUMN_ICON, (void *)NULL);
+     gtk_tree_view_append_column (GTK_TREE_VIEW (treeview), column);
+
+     renderer = gtk_cell_renderer_text_new ();
+-    column = gtk_tree_view_column_new_with_attributes (_("Title"), renderer, "markup", TREE_COLUMN_TITLE, NULL);
++    column = gtk_tree_view_column_new_with_attributes (_("Title"), renderer, "markup", TREE_COLUMN_TITLE, (void *)NULL);
+     gtk_tree_view_append_column (GTK_TREE_VIEW (treeview), column);
+
+     renderer = gtk_cell_renderer_text_new ();
+-    column = gtk_tree_view_column_new_with_attributes (_("Command"), renderer, "markup", TREE_COLUMN_COMMAND, NULL);
++    column = gtk_tree_view_column_new_with_attributes (_("Command"), renderer, "markup", TREE_COLUMN_COMMAND, (void *)NULL);
+     gtk_tree_view_append_column (GTK_TREE_VIEW (treeview), column);
+ }
+
+_at_@ -145,7 +145,7 @@
+
+     cell = gtk_cell_renderer_text_new();
+     gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(combo), cell, TRUE);
+-    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(combo), cell, "text", 0, NULL);
++    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(combo), cell, "text", 0, (void *)NULL);
+
+     gtk_list_store_append(list_store, &iter);
+     gtk_list_store_set (list_store, &iter, COMBO_COLUMN_TEXT, _("top"), COMBO_COLUMN_ID, POS_TOP, -1);
+_at_@ -182,7 +182,7 @@
+
+     cell = gtk_cell_renderer_text_new();
+     gtk_cell_layout_pack_start(GTK_CELL_LAYOUT(combo), cell, TRUE);
+-    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(combo), cell, "text", 0, NULL);
++    gtk_cell_layout_set_attributes(GTK_CELL_LAYOUT(combo), cell, "text", 0, (void *)NULL);
+
+     gtk_list_store_append(list_store, &iter);
+     gtk_list_store_set (list_store, &iter, COMBO_COLUMN_TEXT, _("none"), COMBO_COLUMN_ID, FILTER_NONE, -1);
+_at_@ -1261,7 +1261,7 @@
+      				      GTK_FILE_CHOOSER_ACTION_OPEN,
+      				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
+      				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
+-     				      NULL);
++     				      (void *)NULL);
+
+     GtkWidget * command = glade_xml_get_widget (xml, "entry_command");
+     std::string filename = gtk_entry_get_text (GTK_ENTRY(command));
+_at_@ -1285,7 +1285,7 @@
+      				      GTK_FILE_CHOOSER_ACTION_OPEN,
+      				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
+      				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
+-     				      NULL);
++     				      (void *)NULL);
+
+     GtkWidget * icon = glade_xml_get_widget (xml, "entry_icon");
+     GtkFileFilter *filter = gtk_file_filter_new();
+_at_@ -1315,7 +1315,7 @@
+      				      GTK_FILE_CHOOSER_ACTION_OPEN,
+      				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
+      				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
+-     				      NULL);
++     				      (void *)NULL);
+
+     GtkWidget * font = glade_xml_get_widget (xml, "entry_font_name");
+     GtkFileFilter *filter = gtk_file_filter_new();
+_at_@ -1347,7 +1347,7 @@
+      				      GTK_FILE_CHOOSER_ACTION_OPEN,
+      				      GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
+      				      GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT,
+-     				      NULL);
++     				      (void *)NULL);
+
+     GtkWidget * icon = glade_xml_get_widget (xml, "entry_image_name");
+     GtkFileFilter *filter = gtk_file_filter_new();
+_at_@ -1400,6 +1400,6 @@
+         "documenters", documenters,
+         "translator-credits", translater,
+         "logo", pixbuf,
+-        NULL);
++        (void *)NULL);
+ }
+
diff --git a/testing/wbar/Main.patch b/testing/wbar/Main.patch
new file mode 100644
index 0000000..35e5d97
--- /dev/null
+++ b/testing/wbar/Main.patch
_at_@ -0,0 +1,11 @@
+--- wbar-2.3.4/src/core/Main.cc	2012-09-18 02:26:41.000000000 +0000
++++ ../../Main.cc	2015-11-03 16:44:14.543737961 +0000
+_at_@ -326,7 +326,7 @@
+                 	{
+                     	    if (fork()==0)
+                     	    {
+-                        	if (execlp("sh", "sh", "-c", barra->iconCommand(inum).c_str(), NULL) != 0)
++                        	if (execlp("sh", "sh", "-c", barra->iconCommand(inum).c_str(), (void *)NULL) != 0)
+                         	{
+                             	    std::cout << _("Error run program: ") << barra->iconCommand(inum) << std::endl;
+                         	}
--
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Nov 05 2015 - 12:50:33 GMT